1. Messaging
Chronox AI API Referance
  • Get Started
    • Introduction
    • Authentication
    • Rate limiting
    • Errors
    • Pagination
    • Campaign
  • Account
    • Get User Details
      GET
    • Get Meta Integration
      GET
    • Get Integrated Channels
      GET
    • Get WABA Catalogs
      GET
  • WhatsApp Templates
    • Getting started
    • Templates
      • Create Whatsapp Template Guide
      • Get Whatsapp Templates
      • Get Whatsapp Template Details
      • Create Whatsapp Template
    • Lookups
      • Get Whatsapp Template Category
      • Get Whatsapp Languages
      • Get Whatsapp Template Type
      • Get Whatsapp Template Interactive Type
      • Get Whatsapp Template Header Type
      • Get Whatsapp Template Button Type
      • Get Whatsapp Template Dynamic Variable Type
  • Messaging
    • Getting started
    • Send Whatsapp Message
      POST
    • Send Whatsapp Template
      POST
    • Send Canned Response
      POST
  • Inbox
    • Get Inbox Data
      GET
    • Get Thread Details
      GET
    • Update Thread Archive
      PUT
    • Assign Thread Tags
      PUT
    • Assign Thread Status
      PUT
    • Update Thread Notes
      PUT
    • Get Canned Responses
      GET
    • Get Tags
      GET
    • Get Thread Status Types
      GET
  • Contact List
    • Getting started
    • Get Contact List
    • Create Contact List
    • Update Contact List
    • Update Contact List Status
    • Delete Contact List
  • Contacts
    • Getting started
    • Get Contacts
    • Create Contacts
    • Update Contact
    • Delete Contact
    • Delete Contact Copy
  • Tags and fields
    • Contact Tags
      • Get contact tags
      • Create contact tags
      • Update contact tag
      • Delete contact tag
    • Contact Fields
      • Get contact fields
      • Create contact fields
      • Update contact field
      • Delete contact field
  • Campaign
    • Getting Started
    • Campaign APIs
      • Create campaign
      • Get campaign
      • Update campaign
      • Delete campaign
      • Run campaign
      • Pause campaign
      • Resume campaign
      • Archive campaign
      • Get campaign Stats
    • Lookup
      • Get Statuses
      • Get campaign execution statuses
      • Get campaign contact filter types
      • Get campaign message types
      • Get contact field types
      • Get template variable types
      • Get country codes
  • Whatsapp Flow
    • Get Whatsapp flows
  • Tickets
    • Getting started
    • Get Tickets
    • Create Ticket
    • Update Ticket
    • Get Ticket Statuses
    • Get Agents
  • Organization Teams
    • Get Organization Teams
  • Template Library
    • Get Template Library
    • Get Template Drafts
  • CRM
    • Import leads (single or bulk)
    • List leads
    • Get lead detail
  • Schemas
    • Thread Execution Data
    • LeadImportField
    • LeadImportContact
    • Single lead
    • LeadImportBulkLead
    • Bulk (leads[])
    • LeadImportWarning
    • Single result
    • Bulk result
    • ApiError
    • ErrorEnvelope
    • Lead detail
    • Lead list row
    • Lead list
  1. Messaging

Send Whatsapp Template

Developing
POST
/thread/send-wa-template

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api.chronox.ai/api/thread/send-wa-template' \
--header 'priority: u=1, i' \
--header 'Authorization: Bearer ext-6d9d2de9a25e15a457f0498d2a80919df01c448476c294492946fa6fa5a51355' \
--header 'content-type: application/json' \
--data '{
    "whatsapp_template_id": 517,
    "user_wa_phone_number": "916352505293",
    "integrated_channel_id": 46,
    "template_variable_data": []
}'
Response Response Example
Success
{
    "status": true,
    "data": {
        "threadId": "1c1e8c3b-7e22-4fb3-bb40-c20c92a451db",
        "wa_message_id": null,
        "wa_template_execution_data": {
            "whatsapp_template_id": 1184,
            "whatsapp_template_name": "pg_variable_test",
            "whatsapp_template_language": "en",
            "whatsapp_template_header_text_value": "This is a sample header  Piyush Garg this is sample piyush garg..",
            "whatsapp_template_header_chronox_url": null,
            "whatsapp_template_header_type_id": "1",
            "whatsapp_template_header_type_name": "Text",
            "whatsapp_template_body": "this is a sample body text ??",
            "whatsapp_template_footer": null,
            "whatsapp_template_button": []
        },
        "wa_payload": {
            "messaging_product": "whatsapp",
            "to": "917297914605",
            "type": "template",
            "template": {
                "name": "pg_variable_test",
                "language": {
                    "code": "en"
                },
                "components": [
                    {
                        "type": "header",
                        "parameters": [
                            {
                                "type": "text",
                                "text": "Piyush Garg"
                            }
                        ]
                    }
                ]
            }
        }
    }
}
Modified at 2026-10-12 11:49:20
Previous
Send Whatsapp Message
Next
Send Canned Response
Built with